Bug 1200248 - [RHSC] Trends tab for host does not show graphs for all network interfaces present on the host
Summary: [RHSC] Trends tab for host does not show graphs for all network interfaces pr...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ramesh N
QA Contact: RHS-C QE
URL:
Whiteboard:
Depends On:
Blocks: 1191838
TreeView+ depends on / blocked
 
Reported: 2015-03-10 06:15 UTC by Shruti Sampat
Modified: 2018-01-29 15:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The Trends tab on the Red Hat Storage Console does not display all the network interfaces available on a host. This limitation is because the Red Hat Storage Console ui-plugin does not have this information. Workaround: All the graphs can be obtained from the Nagios UI User can do this by clicking on the Nagios home link in the RHSC console.
Clone Of:
Environment:
Last Closed: 2018-01-29 15:13:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1167425 0 high CLOSED [RHSC] RFE: More detail required for disk and brick utilization graphs 2021-02-22 00:41:40 UTC

Internal Links: 1167425

Description Shruti Sampat 2015-03-10 06:15:09 UTC
Description of problem:
------------------------

For a host with multiple network interfaces, the trends tab in RHSC does not show  graphs for all the interfaces. Only the first graph appearing on the pnp4nagios page is shown on the host trends tab.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
rhsc-3.0.4-1.25.el6rhs.noarch
rhsc-monitoring-uiplugin-0.1.3-1.el6rhs.noarch

How reproducible:
------------------
Always

Steps to Reproduce:
--------------------
1. Monitor a host with multiple network interfaces using Nagios server running on the same node as the Console.
2. Observe the trends tab for that host.

Actual results:
---------------
Not all network interfaces are shown on the trends tab.

Expected results:
-----------------
Show graphs for all network interfaces.

Additional info:

Comment 1 Pavithra 2015-03-17 08:59:20 UTC
hi Anmol,

I see that this bug is added as a known issue for the 3.0.4 release. Can you please change the doc type to known issue and fill out the doc text?

Comment 2 Pavithra 2015-03-17 16:28:06 UTC
Anmol,

I edited the doc text, but I am not clear about the workaround. Could you please help me come up with the right description?

Comment 3 anmol babu 2015-03-18 10:54:14 UTC
So, I corrected the doc text and there's no workaround for this issue.

Comment 4 anmol babu 2015-03-18 10:56:54 UTC
ok sorry, the workaround is to use the Nagios UI itself.

Comment 6 Sahina Bose 2018-01-29 15:13:42 UTC
Thank you for your report. This bug is filed against a component for which no further new development is being undertaken


Note You need to log in before you can comment on or make changes to this bug.